Package tigase.stats

## Class StatRecord<E extends java.lang.Number>

- java.lang.Object
- - tigase.stats.StatRecord<E>

-     public class StatRecord<E extends java.lang.Number>
      extends java.lang.Object

  Describe class StatRecord here.
  Created: Wed Nov 23 21:28:53 2005
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StatRecord​(java.lang.String comp, java.lang.String description, int value, java.util.logging.Level level)` |
    `StatRecord​(java.lang.String comp, java.lang.String description, long value, java.util.logging.Level level)` |
    `StatRecord​(java.lang.String comp, java.lang.String description, java.lang.String value, java.util.logging.Level level)` |
    `StatRecord​(java.lang.String comp, StatisticType type, int value, java.util.logging.Level level)` |
    `StatRecord​(java.lang.String comp, StatisticType type, long value, java.util.logging.Level level)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Collection<E>` | `getCollection()` |
    `java.lang.String` | `getComponent()` |
    `java.lang.String` | `getDescription()` |
    `int` | `getIntValue()` |
    `java.util.logging.Level` | `getLevel()` |
    `long` | `getLongValue()` |
    `StatisticType` | `getType()` |
    `java.lang.String` | `getValue()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StatRecord

          public StatRecord​(java.lang.String comp,
                            java.lang.String description,
                            java.lang.String value,
                            java.util.logging.Level level)

    - #### StatRecord

          public StatRecord​(java.lang.String comp,
                            java.lang.String description,
                            int value,
                            java.util.logging.Level level)

    - #### StatRecord

          public StatRecord​(java.lang.String comp,
                            StatisticType type,
                            long value,
                            java.util.logging.Level level)

    - #### StatRecord

          public StatRecord​(java.lang.String comp,
                            StatisticType type,
                            int value,
                            java.util.logging.Level level)

    - #### StatRecord

          public StatRecord​(java.lang.String comp,
                            java.lang.String description,
                            long value,
                            java.util.logging.Level level)

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

    - #### getValue

          public java.lang.String getValue()

    - #### getType

          public StatisticType getType()

    - #### getLevel

          public java.util.logging.Level getLevel()

    - #### getComponent

          public java.lang.String getComponent()

    - #### getLongValue

          public long getLongValue()

    - #### getIntValue

          public int getIntValue()

    - #### getCollection

          public java.util.Collection<E> getCollection()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`